Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000551Core InformReleasing, bibliographic data, cBlorbpublic2011-02-11 13:282014-05-07 07:34
Reporterotistdog 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000551: Requesting release of source text in an extension causes failure in packaging for release
DescriptionDiscovered that actually attempting to release a game using the GPL3 extension results in a failure om 6G60 if the settings request packaging into a blorb. Not sure if it ever worked in previous versions.

Two things:

1) "release along with source text" in an extension seems to generate an erroneous "status instruction" line in the Release.blorb file (see add'l info)

2) It appears that the packager is attempting to insert the EXTENSION source code, not the main STORY source code. This may be expected behavior in 6G60 (not sure if it was in previous releases), but, if so, is there a way to request that the main story source code be released from within an extension?
Minimal Source Text To Reproduce
"Bug Demonstration" by Otis

Include Release Packaging Problem Causer by Otis.

[full text of above extension in following comment:]

[Release Packaging Problem Causer by Otis begins here.

Release along with the source text.

Release Packaging Problem Causer ends here.]

Obligatory Starting Point is a room.



Additional InformationProblem message shown is:

===========================================

Packaging up for Release - Failed

  Bug Demonstration Materials
 Release
  Bug Demonstration.zblorb
 
Inform translated your source text as usual, to manufacture a 'story file': all of that worked fine. But the Release then went wrong, for the following reason:


•Release.blurb, line 31: Error: not a valid blurb command: 'status instruction || '
•Release.blurb, line 32: Error: not a valid blurb command: '||'

===========================================

I've inspected the Release.blurb file, and it appears that there may be an improper line break generated -- the double-pipe found in line 32 belongs at the end of line 31? All other "status instruction" lines do have a double-pipe at the end, but line 31 does not.

If I uncheck the "bind up into a blorb file" checkbox in Settings, this does not occur.
Tagswrongeffect
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0001326)
graham (administrator)
2011-10-07 14:15

Fixed; a formatting error in the release instructions passed between Inform and cBlorb, its packager. This now works, and I can release test games with the GPL3 extension. (Well, in fact, the GPL3 extension needs a little tinkering to remove syntax which no longer works, but that took no time.)

- Issue History
Date Modified Username Field Change
2011-02-11 13:28 otistdog New Issue
2011-02-12 18:44 jmcgrew Status new => acknowledged
2011-02-13 21:00 EmacsUser Status acknowledged => confirmed
2011-02-28 13:57 jmcgrew Tag Attached: wrongeffect
2011-02-28 13:58 jmcgrew Severity mild => critical
2011-10-07 14:15 graham Note Added: 0001326
2011-10-07 14:15 graham Status confirmed => resolved
2011-10-07 14:15 graham Resolution open => fixed
2011-10-07 14:15 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker